Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
05840 DIP/Input Major Always Feb 2, 2015, 21:58 May 2, 2022, 21:37
Tester mizapf View Status Public Platform MESS (Self-compiled)
Assigned To Resolution Open OS Linux
Status [?] Acknowledged Driver
Version 0.158 Fixed in Version Build
Fixed in Git Commit Github Pull Request #
Summary MESS-specific 05840: All systems using a keyboard: Return and Enter keys dead on natural keyboard
Description Return and Enter keys appear dead in natural keyboard mode on TI-99 and C64 (tested on those systems); supposed to affect all other systems as well. The problem occurs in SDL builds (Linux), but not in Windows.
Steps To Reproduce mess ti99_4a -natural
mess c64 -natural

Pressing Return has no effect.
Additional Information
Github Commit
Flags
Regression Version 0.156
Affected Sets / Systems All systems using a keyboard
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
4
User avatar
No.11438
Robbbert
Developer
Feb 3, 2015, 06:23
Couriersud submitted a fix. Please check.

http://git.redump.net/mame/commit/?id=e8b343f79ec0710de687b83538a5c4c24a4e47c0
User avatar
No.11447
B2K24
Moderator
Feb 7, 2015, 20:48
I'll mark this as acknowledged for now and hopefully when a Linux user tests the fix it can be changed to Resolved.
User avatar
No.20141
Robbbert
Developer
Apr 30, 2022, 12:39
No response from the OP after 7 years. Can someone with Linux check if this is fixed?
User avatar
No.20161
AJR
Developer
May 2, 2022, 21:37
Only partially confirmed on my Linux SDL build. KP_ENTER in natural keyboard mode doesn't work at all, though RETURN works fine. On the other hand, KP_0 through KP_9 and KP_PERIOD, KP_PLUS and KP_MINUS are entered twice for each press.